% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 14, Aufgabe 7
syms RS;
clc
Uq=230;
U1=223;
U2=226.5;
R1=10;
R2=20;
I1=U1/R1;
I2=U2/R2;
disp('Aufgabe 14.7');
eqn=(RS*I1+U1)^2/(I1^2) - (RS*I2+U2)^2/(I2^2) == (Uq/I1)^2 - (Uq/I2)^2;
x = solve(eqn,RS);
if x(1)>0; y=subs(x(1)); else y=subs(x(2)); end;
disp(' '); % in die symbolische Lsung von solve mssen die Werte
z=double(y); % der Variablen substituiert werden
disp(['RS = ',sprintf(' %2.4f ',z),'Ohm']);
XS=sqrt((Uq/I1)^2 - (z*I1+U1)^2/I1^2);
disp(['XS = ',sprintf(' %2.4f ',XS),'Ohm']);
ZS=sqrt(z^2 + XS^2);
disp(['ZS = ',sprintf(' %2.4f ',ZS),'Ohm']);