% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 1, Aufgabe 8
syms a b R Rt t;
clc
a=3.90802e-3; % alpha bei 0 C
b=-0.580195e-6; % beta bei 0 C
R = 100; % Widerstand des Thermometers bei 0 C
Rt = 322.6; % Widerstand des Thermometers in Ohm
disp(' ');
eqn = Rt==R*(1+a*t+b*t^2);
x = solve(eqn,t);
y=subs(x(1)); % in die symbolische Lsung von solve mssen die Werte
z=subs(x(2)); % der Variablen substituiert werden
t1=double(y);
t2=double(z);
tx=t1;
if t2<t1; tx=t2; end;
disp(['Temperatur: theta = ',sprintf(' %4.6f ',tx),' C']);