% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 2, Aufgabe 13
clc
syms x y;
Uq = 12;
R1 = 1000;
R4 = 0;
U5 = 5;
R2=U5*R1/(Uq-U5);
U5=-5;
R4=1000;
I1=Uq/(R1+R2);
U3=R1*I1+U5;
U4=R2*I1 - U5;
I3=U4/R4;
R3=U3/I3;
disp('Lsung 2.13');
disp(['R2 = ',sprintf(' %4.6f ',R2),'Ohm']);
disp(['R3 = ',sprintf(' %4.6f ',R3),'Ohm']);
U2=R2*Uq/(R1+R2);
figure;
for k=1:200
    m=5*k;
    x(k)=m;
    y(k)=U2-Uq*m/(R3+m);
end
plot(x,y,'r'); grid;
xlabel('R4 in Ohm');
ylabel('U5 in V');

