% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 6, Aufgabe 12
syms R1 G2 Yc Zc;
clc
R2=1000;
G2=1/R2;
C=1.5e-6;
f=50;
w=2*pi*f;
Yc=w*C;
Zc=1/Yc;
N=G2^2+Yc^2;
disp(' ');
disp('Lsung 6.12');
eqn=R1^2+Zc^2==(R1+G2/N)^2+(Yc/N)^2;
x = solve(eqn,R1);
y=subs(x(1)); % in die symbolische Lsung von solve mssen die Werte
R=double(y); % der Variablen substituiert werden
disp(' ');
disp(['R = ',sprintf(' %2.4f ',R/1000),'kiloOhm']);